<html>
<head>
<title>Ogre::HardwareBufferLockGuard&lt; T &gt; Struct Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1HardwareBufferLockGuard.html">HardwareBufferLockGuard</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::HardwareBufferLockGuard&lt; T &gt; Struct Template Reference<div class="ingroups"><a class="el" href="group__LOD.html">LOD</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::HardwareBufferLockGuard" -->
<p><code>#include &lt;<a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>&gt;</code></p>

<p><a href="structOgre_1_1HardwareBufferLockGuard-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1HardwareBufferLockGuard.html#ad9271b5aad5231370b381f585a5731a8">HardwareBufferLockGuard</a> (const T &amp;p, <a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">HardwareBuffer::LockOptions</a> options)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1HardwareBufferLockGuard.html#a1fb4fde0b732d3514560e04b0c879586">HardwareBufferLockGuard</a> (const T &amp;p, size_t offset, size_t length, <a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">HardwareBuffer::LockOptions</a> options)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1HardwareBufferLockGuard.html#a318992da74bc1a839fec5d3fc58c57db">~HardwareBufferLockGuard</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1HardwareBufferLockGuard.html#a9bc4d578f99874bc5ca0db0919e0cdf3">pBuf</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1HardwareBufferLockGuard.html#afbd3bce916b40348121ab6de764238b2">pData</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br/>
struct Ogre::HardwareBufferLockGuard&lt; T &gt;</h3>


<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00389">389</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ad9271b5aad5231370b381f585a5731a8"></a><!-- doxytag: member="Ogre::HardwareBufferLockGuard::HardwareBufferLockGuard" ref="ad9271b5aad5231370b381f585a5731a8" args="(const T &amp;p, HardwareBuffer::LockOptions options)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1HardwareBufferLockGuard.html">Ogre::HardwareBufferLockGuard</a>&lt; T &gt;::<a class="el" href="structOgre_1_1HardwareBufferLockGuard.html">HardwareBufferLockGuard</a> </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">HardwareBuffer::LockOptions</a>&#160;</td>
          <td class="paramname"><em>options</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00391">391</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

<p>References <a class="el" href="OgreProgressiveMesh_8h_source.html#l00405">Ogre::HardwareBufferLockGuard&lt; T &gt;::pBuf</a>, and <a class="el" href="OgreProgressiveMesh_8h_source.html#l00406">Ogre::HardwareBufferLockGuard&lt; T &gt;::pData</a>.</p>

</div>
</div>
<a class="anchor" id="a1fb4fde0b732d3514560e04b0c879586"></a><!-- doxytag: member="Ogre::HardwareBufferLockGuard::HardwareBufferLockGuard" ref="a1fb4fde0b732d3514560e04b0c879586" args="(const T &amp;p, size_t offset, size_t length, HardwareBuffer::LockOptions options)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1HardwareBufferLockGuard.html">Ogre::HardwareBufferLockGuard</a>&lt; T &gt;::<a class="el" href="structOgre_1_1HardwareBufferLockGuard.html">HardwareBufferLockGuard</a> </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">HardwareBuffer::LockOptions</a>&#160;</td>
          <td class="paramname"><em>options</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00396">396</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

<p>References <a class="el" href="OgreProgressiveMesh_8h_source.html#l00405">Ogre::HardwareBufferLockGuard&lt; T &gt;::pBuf</a>, and <a class="el" href="OgreProgressiveMesh_8h_source.html#l00406">Ogre::HardwareBufferLockGuard&lt; T &gt;::pData</a>.</p>

</div>
</div>
<a class="anchor" id="a318992da74bc1a839fec5d3fc58c57db"></a><!-- doxytag: member="Ogre::HardwareBufferLockGuard::~HardwareBufferLockGuard" ref="a318992da74bc1a839fec5d3fc58c57db" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1HardwareBufferLockGuard.html">Ogre::HardwareBufferLockGuard</a>&lt; T &gt;::~<a class="el" href="structOgre_1_1HardwareBufferLockGuard.html">HardwareBufferLockGuard</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00401">401</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

<p>References <a class="el" href="OgreProgressiveMesh_8h_source.html#l00405">Ogre::HardwareBufferLockGuard&lt; T &gt;::pBuf</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a9bc4d578f99874bc5ca0db0919e0cdf3"></a><!-- doxytag: member="Ogre::HardwareBufferLockGuard::pBuf" ref="a9bc4d578f99874bc5ca0db0919e0cdf3" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const T&amp; <a class="el" href="structOgre_1_1HardwareBufferLockGuard.html">Ogre::HardwareBufferLockGuard</a>&lt; T &gt;::<a class="el" href="structOgre_1_1HardwareBufferLockGuard.html#a9bc4d578f99874bc5ca0db0919e0cdf3">pBuf</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00405">405</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

<p>Referenced by <a class="el" href="OgreProgressiveMesh_8h_source.html#l00391">Ogre::HardwareBufferLockGuard&lt; T &gt;::HardwareBufferLockGuard()</a>, and <a class="el" href="OgreProgressiveMesh_8h_source.html#l00401">Ogre::HardwareBufferLockGuard&lt; T &gt;::~HardwareBufferLockGuard()</a>.</p>

</div>
</div>
<a class="anchor" id="afbd3bce916b40348121ab6de764238b2"></a><!-- doxytag: member="Ogre::HardwareBufferLockGuard::pData" ref="afbd3bce916b40348121ab6de764238b2" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structOgre_1_1HardwareBufferLockGuard.html">Ogre::HardwareBufferLockGuard</a>&lt; T &gt;::<a class="el" href="structOgre_1_1HardwareBufferLockGuard.html#afbd3bce916b40348121ab6de764238b2">pData</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00406">406</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

<p>Referenced by <a class="el" href="OgreProgressiveMesh_8h_source.html#l00391">Ogre::HardwareBufferLockGuard&lt; T &gt;::HardwareBufferLockGuard()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
